Skip to content
Permalink
Browse files

travis: move the go install to linux-only

... to repair the build again
Closes #4403
  • Loading branch information
jay authored and bagder committed Sep 25, 2019
1 parent 218a62a commit 7c7dac4dbbf713079facec3ce43bee17fe13ec5f
Showing with 10 additions and 4 deletions.
  1. +10 −4 .travis.yml
@@ -86,6 +86,11 @@ matrix:
- os: linux
compiler: gcc
dist: xenial
before_install:
# Install and use the current stable release of Go
- gimme --list
- eval "$(gimme stable)"
- gimme --list
env:
- T=novalgrind BORINGSSL=yes C="--with-ssl=$HOME/boringssl" LD_LIBRARY_PATH=/home/travis/boringssl/lib:/usr/local/lib
- OVERRIDE_CC="CC=gcc-8" OVERRIDE_CXX="CXX=g++-8"
@@ -99,6 +104,11 @@ matrix:
- os: linux
compiler: gcc
dist: xenial
before_install:
# Install and use the current stable release of Go
- gimme --list
- eval "$(gimme stable)"
- gimme --list
env:
- T=novalgrind BORINGSSL=yes QUICHE="yes" C="--with-ssl=$HOME/boringssl --with-quiche=$HOME/quiche/target/release --enable-alt-svc" LD_LIBRARY_PATH=/home/travis/boringssl/lib:$HOME/quiche/target/release:/usr/local/lib
- OVERRIDE_CC="CC=gcc-8" OVERRIDE_CXX="CXX=g++-8"
@@ -411,10 +421,6 @@ matrix:
before_install:
- eval "${OVERRIDE_CC}"
- eval "${OVERRIDE_CXX}"
# Install and use the current stable release of Go
- gimme --list
- eval "$(gimme stable)"
- gimme --list

install:
- if [ "$T" = "coverage" ]; then pip2 install --user cpp-coveralls; fi

0 comments on commit 7c7dac4

Please sign in to comment.
You can’t perform that action at this time.